Download our App

Bankmed App for clients

Do you own an Android, BlackBerry or iPhone? Then download our App for a convenient way to access information and functions on all the Bankmed products – anywhere, anytime.

Download the App


Which phones may you use?

Apple

The App will work on an iPhone or an iPod touch with iOS version 8.0 or later. Although the functionality will work on your iPad, it may not display properly.

Android

Your Android device needs to be on version 2.3 or later. Android devices include popular makes such as HTC, Samsung, LG, Sony and Huawei to name a few. The App has been optimised for both smartphones and tablets.

BlackBerry

The App will be supported by BlackBerry OS 7 and OS 10 versions.